function mini_create ()
  show_help_wnd=true;
  init_mini(1);

  create_mini(30,25,16,652,"m23_palo4ka");

  -- finish_mini_game(true);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)
  if sender==30 then
  BlockCursor(false);
    setcurentleaf("poezd",10,0);
      flags.nohints=false;
    if flags.minicomplete23 then
      playeffect("29");        
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
    return; end;
  return; end;
  if sender==10 then
    flags.minicomplete23=true;
    --clear_satelite_leaf("poezd");
  StartTimer(2100,1)
  BlockCursor(true);
  return; end;

  if sender==37 then
     skipping=true;
  return;end;    
  if sender==26 then
  if id==100 then
  set_visible_object(5001,true)
  end;
  return;end;
  if sender==36 and id==2100 then
    clear_satelite_leaf("poezd");
  return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"1",100,"messageinfo",30,50)
      --playeffect("01");
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==1 then
    if id==6000 then
      helpbtn=true;
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete23 then
        finish_mini_game(true);
      return;end;  
    return;end;
  if id==650 then
      playeffect("17");  
    finish_mini_game(false);
    clear_satelite_leaf("poezd");
    DeleteResource("m23_close"         );
    DeleteResource("m23_fon"           );
    DeleteResource("m23_palo4ka"         );
    DeleteResource("texture"         );
    DeleteResource("to"         );
  return;end;
      if id>=652 and id<=676 then
        check_mini_game_Confluence();  
      return ; end
    if id==649 and not flags.minicomplete23 then --нажимаем на часть телеграммы

    speciale_action(2,649);  
    flags.object= true;
    mini_game_reset_Confluence();
        playeffect("chpok");  
    return ; end  

  -- return; end;
  
  -- if sender ==35 then--Отпустили левую кнопку мышки
    -- if id>=652 and id<=676 then
      -- setcolor(id,0.8,0.8,0.8,0.8);
    -- return ; end
  -- end
  -- if sender ==39 then --Отпустили левую кнопку мышки
     -- setcolor(id,1,1,1,1);
    -- end
  return; end;  
  
  
  if sender==6 then
      if helpbtn then
       CreateWindow(200,200,"1",100,"messageinfo",30,50)
           playeffect("11");
      helpbtn=false;
    end;
    check_mini_game_Confluence();
        -- playeffect("chik");  
    if flags.object then
      speciale_action(2,649);  
      flags.object= false;
    return; end;
  return;end;

end;
function mini_delete ()

end;